<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun May 03 22:01:10 EEST 2020 -->
<title>Uses of Class businessLayer.Restaurant</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-03">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class businessLayer.Restaurant";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Restaurant.html" title="class in businessLayer">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class businessLayer.Restaurant" class="title">Uses of Class<br>businessLayer.Restaurant</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#data_layer">data_layer</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#GUI">GUI</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="data_layer">
<!--   -->
</a>
<h3>Uses of <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a> in <a href="../../data_layer/package-summary.html">data_layer</a></h3>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../data_layer/package-summary.html">data_layer</a> that return <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">RestaurantSerializator.</span><code><span class="memberNameLink"><a href="../../data_layer/RestaurantSerializator.html#load(java.lang.String)">load</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Metoda este apelata pentru a incarca datele din fisierul ser</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../../data_layer/package-summary.html">data_layer</a> with parameters of type <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../data_layer/Bill.html#%3Cinit%3E(businessLayer.Restaurant)">Bill</a></span>&#8203;(<a href="../Restaurant.html" title="class in businessLayer">Restaurant</a>&nbsp;res)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../data_layer/RestaurantSerializator.html#%3Cinit%3E(businessLayer.Restaurant)">RestaurantSerializator</a></span>&#8203;(<a href="../Restaurant.html" title="class in businessLayer">Restaurant</a>&nbsp;x)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section role="region"><a id="GUI">
<!--   -->
</a>
<h3>Uses of <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a> in <a href="../../GUI/package-summary.html">GUI</a></h3>
<div class="useSummary">
<table>
<caption><span>Constructors in <a href="../../GUI/package-summary.html">GUI</a> with parameters of type <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../GUI/AdministratorGUI.html#%3Cinit%3E(javax.swing.JFrame,businessLayer.Restaurant)">AdministratorGUI</a></span>&#8203;(javax.swing.JFrame&nbsp;main_frame,
                <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a>&nbsp;res)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../GUI/ChefGUI.html#%3Cinit%3E(javax.swing.JFrame,businessLayer.Restaurant)">ChefGUI</a></span>&#8203;(javax.swing.JFrame&nbsp;main_frame,
       <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a>&nbsp;res)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../GUI/MainGUI.html#%3Cinit%3E(businessLayer.Restaurant)">MainGUI</a></span>&#8203;(<a href="../Restaurant.html" title="class in businessLayer">Restaurant</a>&nbsp;res)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../../GUI/WaiterGUI.html#%3Cinit%3E(javax.swing.JFrame,businessLayer.Restaurant)">WaiterGUI</a></span>&#8203;(javax.swing.JFrame&nbsp;main_frame,
         <a href="../Restaurant.html" title="class in businessLayer">Restaurant</a>&nbsp;res)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Restaurant.html" title="class in businessLayer">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
